Package com.smartgwt.client.tools

# Class EditMaskClickedEvent

java.lang.Object
com.google.web.bindery.event.shared.Event<H>
com.google.gwt.event.shared.GwtEvent<H>
com.smartgwt.client.event.AbstractSmartEvent<EditMaskClickedHandler>
com.smartgwt.client.tools.EditMaskClickedEvent

public class EditMaskClickedEvent extends AbstractSmartEvent<EditMaskClickedHandler>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

  `GwtEvent.Type<H extends Object>`

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.event.AbstractSmartEvent

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EditMaskClickedEvent(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `dispatch(EditMaskClickedHandler handler)`
  `static <S extends HasEditMaskClickedHandlers & HasHandlers>
  void`
  `fire(S source, JavaScriptObject jsObj)`
  Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
  `final GwtEvent.Type<EditMaskClickedHandler>`
  `getAssociatedType()`
  `EditNode`
  `getEditNode()`
  the editNode clicked
  `Map`
  `getLiveObject()`
  the object clicked
  `static GwtEvent.Type<EditMaskClickedHandler>`
  `getType()`
  Gets the type associated with this event.

  ### Methods inherited from class com.smartgwt.client.event.AbstractSmartEvent

  `getFiringInstanceAsJavaScriptObject`

  ### Methods inherited from class com.google.gwt.event.shared.GwtEvent

  `assertLive, getSource, isLive, kill, revive`

  ### Methods inherited from class com.google.web.bindery.event.shared.Event

  `setSource, toDebugString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### EditMaskClickedEvent

    public EditMaskClickedEvent(JavaScriptObject jsObj)

- ## Method Details

  - ### fire

    public static <S extends HasEditMaskClickedHandlers & HasHandlers> void fire(S source, JavaScriptObject jsObj)
    Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
    Type Parameters:
      `S` - The event source
    Parameters:
      `source` - the source of the handlers
      `jsObj` - the native event

  - ### getType

    public static GwtEvent.Type<EditMaskClickedHandler> getType()
    Gets the type associated with this event.
    Returns:
      returns the handler type

  - ### dispatch

    protected void dispatch(EditMaskClickedHandler handler)
    Specified by:
      `dispatch` in class `GwtEvent<EditMaskClickedHandler>`

  - ### getAssociatedType

    public final GwtEvent.Type<EditMaskClickedHandler> getAssociatedType()
    Specified by:
      `getAssociatedType` in class `GwtEvent<EditMaskClickedHandler>`

  - ### getEditNode

    public EditNode getEditNode()
    the editNode clicked
    Returns:
      the editNode clicked

  - ### getLiveObject

    public Map getLiveObject()
    the object clicked
    Returns:
      the object clicked